<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script type="text/javascript">
        // function getReq(url){
        //     const req = new Promise(function(resolve, reject){
        //         const request = new XMLHttpRequest();
        //         request.addEventListener('load',()=>{
        //             console.log('en el Listener de load...');
        //             if(request.status === 200){
        //                 resolve(request.response);
        //             }else{
        //                 reject(request.statusText);
        //             }
        //         });
        //         request.addEventListener('error',() => {
        //             console.log('en el listener del error...');
        //             reject('error en la red');
        //         });
        //         request.open('GET', url, true);
        //         request.send(null);
        //     });
        //     return req;
        // }
        // getReq('./persona.json')
        // .then( res =>{
        //     return JSON.parse(res);
        // })
        // .then(json =>{
        //     console.log(json);
        // })
        // .catch(error => {
        //     console.log(error);
        // });

        var json = '{"result": true, "count":42}';
        obj = JSON.parse(json);
        console.log(obj.count);
        console.log(obj.result);

        JSON.parse('{}');
        JSON.parse('true');
        JSON.parse('"foo"');
        JSON.parse('[1,5,"false"]');
        JSON.parse('null');


        console.log(JSON.stringify({ x:5, y:6}));
        console.log(JSON.stringify([new Number(3), new String('false'), new Boolean(false)]));
        console.log(JSON.stringify({x:[undefined,function(){},Symbol('')]}));
        console.log(JSON.stringify(new Date(2006, 0, 2, 15, 4, 5)));
    </script>
</body>
</html>

